Loading...
Searching...
No Matches
cyaml_strval Struct Reference

`#include <cyaml.h>`

## Data Fields

const char * | str
int64_t | val

## Detailed Description

Mapping between a string and a signed value.

Used for CYAML_ENUM and CYAML_FLAGS types.

## Field Documentation

## str

const char* cyaml_strval::str

String representing enum or flag value.

## val

int64_t cyaml_strval::val

Value of given string.

The documentation for this struct was generated from the following file:

- include/cyaml/cyaml.h